<?php
/*
 * ----------------------------------------------------------------------------
 * Index.php                                                         02/14/2003
 * This is a temporary index file you can use to display the available pre-
 * written scripts to your users.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2003 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

require_once('va-functions.inc.php');       // A VADV-PHP script.
require_once('va-loginauth.inc.php');       // Login authentication.
require_once('va-main.inc.php');            // Include the main BBS configuration.
require_once('va-control.inc.php');         // Include the BBS control information.
require_once('common.inc.php');             // Uses the common html functions.
?>

<html>

<head>
<title><?php print $VA_MAIN['bbsname']; ?>'s VADV-PHP Home</title>
<meta http-equiv="Content-Language" content="en-us">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<meta name="copyright" content="Copyright  2003, Steve Winn">
<meta name="rating" content="General">
<link rel="stylesheet" type="text/css" href="VADVPHP.css">
</head>

<body background="images/home_background.gif">

<div align="center">
	<center>
    <table border="0" cellpadding="10" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="750" bgcolor="#FFFFFF">
        <tr>
            <td>
                <div align="center">
                    <center>
                    <table border="0" cellpadding="0" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="730" bgcolor="#FFFFFF">
                        <tr>
                            <td valign="top">
                                <div align="center">
                                    <center>
                                    <table border="0" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%" height="50">
                                        <tr>
                                            <td width="550" bgcolor="#000080"><span class="bbsHeader"><b><?php print $VA_MAIN['bbsname']; ?>'s VADV-PHP Home</b></span></td>
                                            <td width="180" bgcolor="#000080"><a href="http://www.vadvphp.com"><img border="0" src="images/vadv-php_blue.gif" alt="VADV-PHP" width="50" height="50" align="right"></a></td>
                                        </tr>
                                    </table>
                                    </center>
                                </div>
                                <div align="center">
                                    <center>
                                    <table border="0" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
                                        <tr>
                                            <td width="530" valign="top">
                                                <div align="center">
                                                    <center>
                                                    <table border="0" cellpadding="5" style="border-collapse: collapse" bordercolor="#111111" width="100%">
                                                        <tr>
                                                            <td bgcolor="#000080" valign="top">
                                                                <p class="topic">Welcome, <?php print $USER['handle']; ?>!</p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top">
                                                                <p class="body"><span class="boldBody">Thank
                                                                you for visiting our Virtual Advanced webpage!</span><br>
                                                                In the future, this will be the starting point
                                                                for the web based version of our BBS. With it
                                                                you will be able to access most areas of the
                                                                system using only your web browser. So, sit
                                                                back and browse around!</p>
                                                                <p class="body"><span class="boldBody">
                                                                <?php print $VA_MAIN['sysopname'] . "<br>" . $VA_MAIN['bbsname'];?>
                                                                <?php if ($CONFIG['telnet'] != "") print "<br>telnet://" . $CONFIG['telnet']; ?>
                                                                </span><br>&nbsp;</p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td bgcolor="#000080" valign="top">
                                                                <p class="topic">Today&#39;s Callers</p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top">
                                                                <div align="center">
                                                                    <center>
                                                                    <table border="0" width="530" cellspacing="0" cellpadding="0">
                                                                        <tr>
                                                                            <td align="left">
                                                                                <?php
                                                                                // Set the filename.
                                                                                $filename = $VA_SYSPATHS['data'] . '\CALLERS.LST';
                                                                                if (!is_file($filename)) {
                                                                                    print "<pre><font face=\"Courier New\" size=\"2\" color=\"000080\">\nNo Callers Today!</pre>\n";
                                                                                } else if (filesize($filename) == 0) {
                                                                                    print "<pre><font face=\"Courier New\" size=\"2\" color=\"000080\">\nNo Callers Today!</pre>\n";
                                                                                } else {
                                                                                    $line = array();                        // Set the file array.
                                                                                    $fp = fopen($filename, "r");            // Open the file.
                                                                                    for ($length = 0; !feof($fp); $length++) {
                                                                                        array_push($line, fgets($fp));      // Read the line.
                                                                                    }
                                                                                    fclose($fp);                            // Close the file.
                                                                                    $length--;                              // Adjust the number of lines.

                                                                                    // Print each line and convert heart codes to html.
                                                                                    print "<pre><font face=\"Courier New\" size=\"2\" color=\"000000\">\n";
                                                                                    for ($x = 0; $x < $length; $x++) {
                                                                                        $line[$x] = StripHeartColors($line[$x]);
                                                                                        $pos = strpos($line[$x], ":");
                                                                                        $pos = $pos + 2;
                                                                                        $line[$x] = substr($line[$x], $pos, 65);
                                                                                        print $line[$x] . "<br>";
                                                                                    }
                                                                                    print "</font></pre>\n";
                                                                                }
                                                                                ?>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                    </center>
                                                                </div>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td bgcolor="#000080" valign="top">
                                                                <p class="topic">Who&#39;s Online?</p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top">
                                                                <?php
                                                                $who = array();
                                                                for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
                                                                    $who[$x] = GetControl($x);
                                                                }
                                                                ?>
                                                                <font face="Courier New" size="2">
                                                                <div>
                                                                    <table border="0" width="530" cellspacing="0" cellpadding="0">
                                                                        <br>
                                                                        <tr>
                                                                            <td align="left" valign="top"><b><font face="Courier New" color="#000080" size="2">Ch #</font></b></td>
                                                                            <td align="left" valign="top"><b><font face="Courier New" color="#000080" size="2">Handle</font></b></td>
                                                                            <td align="left" valign="top"><b><font face="Courier New" color="#000080" size="2">Action</font></b></td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td align="left" valign="top" width="50">
                                                                                <font face="Courier New" color="#000000">
                                                                                <?php
                                                                                for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
                                                                                    print "        <font color=\"#000000\" size=\"2\">" . $x . "<br>\n";
                                                                                }
                                                                                ?>
                                                                                </font>
                                                                            </td>
                                                                            <td align="left" valign="top" width="240">
                                                                                <font face="Courier New" color="#000000">
                                                                                <?php
                                                                                for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
                                                                                    print "        <font color=\"#000000\" size=\"2\">" . $who[$x]['handle'] . "<br>\n";
                                                                                }
                                                                                ?>
                                                                                </font>
                                                                            </td>
                                                                            <td align="left" valign="top" width="240">
                                                                                <font face="Courier New" color="#000000">
                                                                                <?php
                                                                                for ($x = 0; $x < 1 + $VA_MAIN['maxchannelno']; $x++) {
                                                                                    print "        <font color=\"#000000\" size=\"2\">" . $who[$x]['action'] . "<br>\n";
                                                                                }
                                                                                ?>
                                                                                </font>
                                                                            </td>
                                                                        </tr>
                                                                    </table>
                                                                </div>
                                                                </font>
                                                            </td>
                                                        </tr>
                                                        <!-- Cell template for future use.
                                                        <tr>
                                                            <td bgcolor="#000080" valign="top">
                                                                <p class="infoBarTopic">Welcome!</td>
                                                        </tr>
                                                        <tr>
                                                            <td valign="top">&nbsp;</td>
                                                        </tr>
                                                        End cell template. -->
                                                    </table>
                                                    </center>
                                                </div>
                                            </td>
                                            <td width="200" height="100%" valign="top">
                                                <div align="center">
                                                    <center>
                                                    <table border="1" cellpadding="4" cellspacing="0" style="border-collapse: collapse" bordercolor="#FFFFFF" width="100%" height="100%" bgcolor="#0066CC">
                                                        <tr>
                                                            <td bgcolor="#000080">
                                                                <p class="infoBarTopic">Available Areas</p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="todays_callers.php">Today&#39;s Callers</a></p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="who.php">Who&#39;s Online</a></p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="post-it_network.php">Post-It! Network</a></p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="forum-disptopics.php">Message Forums</a></p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="files-disptopics.php">File Area</a></p>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        // VConfig menu option
                                                        if ($USER['securitylevel'] == 255) {
                                                        ?>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">-
                                                                <a class="infoBarBody" href="vconfig/vconfig.php">VADV-PHP VConfig</a></p>
                                                            </td>
                                                        </tr>
                                                        <?php
                                                        // End VConfig menu option
                                                        }
                                                        ?>
                                                        <tr>
                                                            <td bgcolor="#FFFFFF" height="5">
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td bgcolor="#000080">
                                                                <p class="infoBarTopic">Login</p>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                <p class="infoBarBody">Login here using your BBS account information! If you do not have an account, then telnet to <?php print $CONFIG['telnet']; ?> to create one.</p>
                                                                <?php LoginBox(); ?>
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td bgcolor="#FFFFFF" height="5">
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td height="100%">
                                                            </td>
                                                        </tr>
                                                    </table>
                                                    </center>
                                                </div>
                                            </td>
                                        </tr>
                                    </table>
                                    </center>
                                </div>
                                <div align="center">
                                    <center>
                                    <table border="0" cellpadding="5" cellspacing="0" style="border-collapse: collapse" bordercolor="#111111" width="100%">
                                        <tr>
                                            <td width="100%" valign="top">
                                                <hr color="#000080">
                                                <p align="center"><span class="boldBody">This page is powered
                                                by <a class="boldBody" href="http://www.vadvphp.com">VADV-PHP</a></span></p>
                                                <p align="center" class="body">If you experience any problems
                                                with this website or need help, contact the
                                                <a href="mailto:<?php print $CONFIG['webmaster']; ?>">webmaster</a>.<br>
                                                VADV-PHP Copyright  2002-<?php print date("Y"); ?> Aspect
                                                Technologies. All Rights Reserved.</p>
                                            </td>
                                        </tr>
                                    </table>
                                    </center>
                                </div>
                            </td>
                        </tr>
                    </table>
                    </center>
                </div>
            </td>
        </tr>
    </table>
    </center>
</div>

</body>

</html>
